commit:     a6b661e31a9d262b5377a3088f993191e51f3d86
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 27 04:48:30 2018 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Mar 27 05:47:39 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a6b661e3

app-admin/puppet-lint: add 2.3.5

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 app-admin/puppet-lint/Manifest                 |  1 +
 app-admin/puppet-lint/puppet-lint-2.3.5.ebuild | 29 ++++++++++++++++++++++++++
 2 files changed, 30 insertions(+)

diff --git a/app-admin/puppet-lint/Manifest b/app-admin/puppet-lint/Manifest
index 491c3200805..3f0a730bfa6 100644
--- a/app-admin/puppet-lint/Manifest
+++ b/app-admin/puppet-lint/Manifest
@@ -1,2 +1,3 @@
 DIST puppet-lint-2.3.3.gem 84992 BLAKE2B 
57b6d6332b7d26daf193ba983ff1e5d560cf4f902f1b476de3b1f7254755851397685d7b435dd7365f81e1427d91ca47ffa889a9d87a14e1c4720e44aa2b7996
 SHA512 
9203e8d29cb4a5c5abf8279598599db4a9063d33d7b7d6c76f8ebf09c3ba539f6035083b5438bae2b0fda1d16880ffcb69a2776ebce7f54bc1a1430c2ceb0d68
 DIST puppet-lint-2.3.4.gem 86016 BLAKE2B 
4e7c0da6bb77558312b389be68ee17a75a2dffa795eb0a985101177f45ac362d0a4bf70804198b82f981bcc2023768503f7362799a2853ea2e159071853c5dfc
 SHA512 
27ef230b337ffffeae8395efa2329ad150b7f0a21bfff1b2e5ee4807dd088705723d9887ae3c166eeb8daa61337d2efd5907fcb5c86c6cfb0a42c0fc30dfd7ba
+DIST puppet-lint-2.3.5.gem 86528 BLAKE2B 
7455c729cb0512cb26838439c854c70d2581f2102594ac60d76a34f9839b0bb7dbab65beb87369419dc0e66583bfac1ad9f22d65ee3ee9bf35aa3c37e8f0d1b9
 SHA512 
5e1978c5438869c12c2151e76fe6cea12c447d9f59f1fbbc90fb80e61c7ff9c220be85f70cf95dec2380cd35205ffec0473cc7eda0db21b94a30b533d4214707

diff --git a/app-admin/puppet-lint/puppet-lint-2.3.5.ebuild 
b/app-admin/puppet-lint/puppet-lint-2.3.5.ebuild
new file mode 100644
index 00000000000..e672004b0fd
--- /dev/null
+++ b/app-admin/puppet-lint/puppet-lint-2.3.5.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby22 ruby23 ruby24"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit eutils ruby-fakegem
+
+DESCRIPTION="A linter for puppet DSL"
+HOMEPAGE="http://puppet-lint.com/";
+
+LICENSE="MIT"
+SLOT="0"
+IUSE=""
+KEYWORDS="~amd64 ~x86"
+
+ruby_add_bdepend "test? (
+       dev-ruby/rspec-its:1
+       dev-ruby/rspec-collection_matchers:1
+       dev-ruby/rspec-json_expectations )"
+
+all_ruby_prepare() {
+       sed -i -e '/simplecov/,/^end/ s:^:#:' spec/spec_helper.rb || die
+}

Reply via email to